ByteChef LogoByteChef
Backend (API Key)Integrations

Get active integrations for particular external user

Get active integrations for particular external user.

GET
/{externalUserId}/integrations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

externalUserId*string

The external user id.

Header Parameters

X-Environment?string

The environment.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Response Body

application/json

curl -X GET "https://example.com/string/integrations"
[  {    "componentName": "string",    "description": "string",    "icon": "string",    "id": 0,    "integrationInstances": [      {        "id": 0,        "credentialStatus": "VALID",        "enabled": true,        "mcpTools": [          {            "enabled": true,            "mcpToolId": 0          }        ],        "mcpWorkflows": [          {            "enabled": true,            "inputs": {},            "workflowUuid": "string"          }        ],        "workflows": [          {            "enabled": true,            "inputs": {},            "workflowUuid": "string"          }        ]      }    ],    "integrationVersion": 0,    "multipleInstances": false,    "name": "string"  }]

How is this guide?